[Hackage] #343: bootstrap requires `wget`
Hackage
trac at galois.com
Tue Aug 26 18:59:01 EDT 2008
#343: bootstrap requires `wget`
---------------------------------+------------------------------------------
Reporter: jsnx | Owner:
Type: defect | Status: new
Priority: normal | Milestone:
Component: cabal-install tool | Version: HEAD
Severity: normal | Keywords:
Difficulty: normal | Ghcversion: 6.8.3
Platform: |
---------------------------------+------------------------------------------
...and I don't have `wget` :(
{{{
--- bootstrap.sh.old 2008-08-26 15:49:15.000000000 -0700
+++ bootstrap.sh 2008-08-26 15:52:00.000000000 -0700
@@ -15,7 +15,18 @@
HTTP_URL=${HACKAGE_URL}/HTTP/${HTTP_VER}/HTTP-${HTTP_VER}.tar.gz
ZLIB_URL=${HACKAGE_URL}/zlib/${ZLIB_VER}/zlib-${ZLIB_VER}.tar.gz
-wget ${CABAL_URL} ${HTTP_URL} ${ZLIB_URL}
+case `which wget curl` in
+ *curl)
+ curl -O ${CABAL_URL} -O ${HTTP_URL} -O ${ZLIB_URL}
+ ;;
+ *wget)
+ wget ${CABAL_URL} ${HTTP_URL} ${ZLIB_URL}
+ ;;
+ *)
+ echo "failed to find a downloader" >&2
+ exit 2
+ ;;
+esac
tar -zxf Cabal-${CABAL_VER}.tar.gz
pushd Cabal-${CABAL_VER}
}}}
--
Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/343>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects
More information about the cabal-devel
mailing list